Use `pipefail` to prevent hidden failures.

See more info at;
 - https://stackoverflow.com/questions/6871859/piping-command-output-to-tee-but-also-save-exit-code-of-command
 - https://unix.stackexchange.com/questions/597500/what-is-the-meaning-of-set-e-o-pipefail

Signed-off-by: Tim 'mithro' Ansell <tansell@google.com>
diff --git a/open_pdks/build-magic.sh b/open_pdks/build-magic.sh
index 3a2365d..adb12ee 100755
--- a/open_pdks/build-magic.sh
+++ b/open_pdks/build-magic.sh
@@ -16,6 +16,7 @@
 # SPDX-License-Identifier: Apache-2.0
 
 set -xe
+set -o pipefail
 
 apt-get update -qq
 
diff --git a/open_pdks/build-open_pdks.sh b/open_pdks/build-open_pdks.sh
index fc6f51b..d5b5414 100755
--- a/open_pdks/build-open_pdks.sh
+++ b/open_pdks/build-open_pdks.sh
@@ -16,6 +16,7 @@
 # SPDX-License-Identifier: Apache-2.0
 
 set -xe
+set -o pipefail
 
 export PATH=/host/out/magic/bin:$PATH
 
diff --git a/open_pdks/build-skywater-pdk.sh b/open_pdks/build-skywater-pdk.sh
index 714898b..63e3fb0 100755
--- a/open_pdks/build-skywater-pdk.sh
+++ b/open_pdks/build-skywater-pdk.sh
@@ -16,6 +16,7 @@
 # SPDX-License-Identifier: Apache-2.0
 
 set -xe
+set -o pipefail
 
 cd /host/github/google/skywater-pdk
 git describe